PersistenceService (IcedTea-Web: NetX )
Keywords: javax.jnlp.PersistenceService interface
Date: 2021-05-10

javax.jnlp

## Interface PersistenceService

-     public interface PersistenceService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CACHED`
    `static int` | `DIRTY`
    `static int` | `TEMPORARY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `create(java.net.URL url, long maxsize)`
    `void` | `delete(java.net.URL url)`
    `FileContents` | `get(java.net.URL url)`
    `java.lang.String[]` | `getNames(java.net.URL url)`
    `int` | `getTag(java.net.URL url)`
    `void` | `setTag(java.net.URL url, int tag)`

- - ### Field Detail

    - #### CACHED

          static final int CACHED

      See Also:
        Constant Field Values

    - #### TEMPORARY

          static final int TEMPORARY

      See Also:
        Constant Field Values

    - #### DIRTY

          static final int DIRTY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          long create(java.net.URL url,
                      long maxsize)
               throws java.net.MalformedURLException,
                      java.io.IOException

      Throws:
        `java.net.MalformedURLException`
        `java.io.IOException`

    - #### get

          FileContents get(java.net.URL url)
                    throws java.net.MalformedURLException,
                           java.io.IOException,
                           java.io.FileNotFoundException

      Throws:
        `java.net.MalformedURLException`
        `java.io.IOException`
        `java.io.FileNotFoundException`

    - #### delete

          void delete(java.net.URL url)
               throws java.net.MalformedURLException,
                      java.io.IOException

      Throws:
        `java.net.MalformedURLException`
        `java.io.IOException`

    - #### getNames

          java.lang.String[] getNames(java.net.URL url)
                               throws java.net.MalformedURLException,
                                      java.io.IOException

      Throws:
        `java.net.MalformedURLException`
        `java.io.IOException`

    - #### getTag

          int getTag(java.net.URL url)
              throws java.net.MalformedURLException,
                     java.io.IOException

      Throws:
        `java.net.MalformedURLException`
        `java.io.IOException`

    - #### setTag

          void setTag(java.net.URL url,
                      int tag)
               throws java.net.MalformedURLException,
                      java.io.IOException

      Throws:
        `java.net.MalformedURLException`
        `java.io.IOException`

Submit a bug or feature